#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	font-util
Version		:	1.4.1
Release		:	17.2.0.rel%{?dist}
Summary		:	X.org util font
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://www.x.org/archive//individual/font/

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	: 	xorg-util-macros
#-----------------------------------------------------------------------------
%description
X.Org font package creation/installation utilities

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license COPYING
%{_bindir}/bdftruncate
%{_bindir}/ucs2any
%{_libdir}/pkgconfig/fontutil.pc
%{_datadir}/aclocal/fontutil.m4
%{_datadir}/fonts/X11/util/map-*
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

autoreconf -i -f
./configure						\
	$XORG_CONFIG					\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\


#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install


#-----------------------------------------------------------------------------
%changelog
